/* 変数管理システム */
#include "var.h"

int VarRead(unchar *vname,long *num,unsint *type,short *point,VARSYS2 *var)
/* 変数読みだし */
{
short p;
	p=VarSearch(vname,var,type);
	if (p==0) return(VARNDEF); /* 変数は未定義 */
	*point=p;
	if (p<0) return(VARNKAKU); /* 数値内容が未確定 */
	/* 読みだし */
	return(VarNumRead(p,num,type,var));
}
